package org.nl.acs.device.service;

import org.nl.acs.common.base.PageInfo;
import org.nl.acs.common.base.CommonService;
import org.nl.acs.device.domain.DeviceDbitem;
import org.nl.acs.device.service.dto.DeviceDbitemDto;
import org.nl.acs.device.service.dto.DeviceDbitemQueryParam;
import org.springframework.data.domain.Pageable;
import java.util.List;
import java.util.Set;

/**
* @author jiaolm
* @date 2023-05-09
*/
public interface DeviceDbitemService extends CommonService<DeviceDbitem>  {

    static final String CACHE_KEY = "deviceDbitem";

    /**
    * 查询数据分页
    * @param query 条件
    * @param pageable 分页参数
    * @return PageInfo<DeviceDbitemDto>
    */
    PageInfo<DeviceDbitemDto> queryAll(DeviceDbitemQueryParam query, Pageable pageable);

    /**
    * 查询所有数据不分页
    * @param query 条件参数
    * @return List<DeviceDbitemDto>
    */
    List<DeviceDbitemDto> queryAll(DeviceDbitemQueryParam query);

    DeviceDbitem getById(String id);
    DeviceDbitemDto findById(String id);

    /**
     * 插入一条新数据。
     */
    int insert(DeviceDbitemDto resources);
    int updateById(DeviceDbitemDto resources);
    int removeById(String id);
    int removeByIds(Set<String> ids);

    /**
    * 导出数据
    * @param all 待导出的数据
    * @param response /
    * @throws IOException /
    */
    // void download(List<DeviceDbitemDto> all, HttpServletResponse response) throws IOException;
}
